kio Library: KIO::NetRC Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIO::NetRC Class Reference

A Singleton class that provides access to passwords stored in .netrc files for automatic login purposes. An interface to the ftp .netrc files. More...

`#include <authinfo.h>`

Collaboration diagram for KIO::NetRC:

[legend]
List of all members.

## Public Types
enum | LookUpMode { exactOnly = 0x0002, defaultOnly = 0x0004, presetOnly = 0x0008 }
## Public Member Functions
bool | lookup (const KURL &url, AutoLogin &login, bool userealnetrc=false, QString type=QString::null, int mode=(exactOnly|defaultOnly))
void | reload ()
## Static Public Member Functions
static NetRC * | self ()
## Protected Member Functions
QString | extract (const char *, const char *, int &)
int | openf (const QString &)
bool | parse (int)
## Classes
struct | AutoLogin
| Contains auto login information. More...

## Detailed Description

A Singleton class that provides access to passwords stored in .netrc files for automatic login purposes. An interface to the ftp .netrc files.

This is only meant to address backward compatability with old automated ftp client style logins...

Author:
  Dawit Alemayehu <adawit@kde.org>

Definition at line 240 of file authinfo.h.

## Member Enumeration Documentation

enum KIO::NetRC::LookUpMode

| Specifies the mode to be used when searching for a matching automatic login info for a given site :. exactOnly search entries with exact host name matches. defaultOnly search entries that are specified as "default". presetOnly search entries that are specified as "preset". See also: lookup Definition at line 254 of file authinfo.h.

## Member Function Documentation

NetRC * NetRC::self | ( |  | ) | `[static]`

| A reference to the instance of the class. Returns: the class Definition at line 115 of file authinfo.cpp.

bool NetRC::lookup | ( | const KURL & | url,
|  | AutoLogin & | login,
|  | bool | userealnetrc = `false`,
|  | QString | type = `QString::null`,
|  | int | mode = `(exactOnly|defaultOnly)`
| ) |

  | Looks up the `login` information for the given `url`. Parameters:
  | url | the url whose login information will be checked
  | login | the login information will be writte here
  | userealnetrc | if true, use $HOME/.netrc fle
  | type | the type of the login. If null, the `url's` protocol will be taken
  | mode | the LookUpMode flags (ORed) for the query
Definition at line 122 of file authinfo.cpp. References QValueList::begin(), QMap::clear(), QMap::contains(), QValueList::end(), QDir::homeDirPath(), QValueList::isEmpty(), QMap::isEmpty(), QString::isEmpty(), locateLocal(), KIO::NetRC::AutoLogin::login, KIO::NetRC::AutoLogin::macdef, KIO::NetRC::AutoLogin::machine, KIO::NetRC::AutoLogin::password, QDir::separator(), and KIO::NetRC::AutoLogin::type.

void KIO::NetRC::reload | ( |  | ) | `[inline]`

| Reloads the auto login information. Definition at line 297 of file authinfo.h.

The documentation for this class was generated from the following files:

- authinfo.h
- authinfo.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:53 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003